Loading...
Searching...
No Matches
linearExceptions.h File Reference

Exceptions that may be thrown by linear solver components. More...

Go to the source code of this file.

## Classes

class | gtsam::IndeterminantLinearSystemException
| Thrown when a linear system is ill-posed. More...
class | gtsam::InvalidNoiseModel
| An exception indicating that the noise model dimension passed into a JacobianFactor has a different dimensionality than the factor. More...
class | gtsam::InvalidMatrixBlock
| An exception indicating that a matrix block passed into a JacobianFactor has a different dimensionality than the factor. More...
class | gtsam::InvalidDenseElimination

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Exceptions that may be thrown by linear solver components.

Author
  Richard Roberts

Date
  Aug 17, 2012